const yup = require("yup");


export const createOrdersByUnregisterUserSchema = yup.object().shape({
    name:
        yup
            .string()
            .matches(/^[аa-яzАA-ЯZ0-9]{3,30}$/)
            .required(),

    surname:
        yup
            .string()
            .matches(/^[аa-яzАA-ЯZ0-9]{3,30}$/)
            .required(),
    phone:
        yup
            .string()
            .min(13)
            .max(19)
            .required(),
    street:
        yup
            .string()
            .max(25)
            .required(),

    city:
        yup
            .string()
            .min(6)
            .max(40)
            .required(),

    home:
        yup
            .string()
            .max(8)
            .required(),

});